const  SEARCH_METADATA_URL  = process.env.SEARCH_METADATA_URL;

class AddContentSearchService {
    Authorization: string;
    /*@ngInject*/
    constructor(
        private $q,
        private $http,
        private TokenService
    ) {
        this.Authorization = this.TokenService.getAuthToken();
    }

    getSearchesForCompany() {
        const deferred = this.$q.defer();
        this.$http({
            method: 'GET',
            url: `${SEARCH_METADATA_URL}`,
            headers: {
                'Authorization': this.Authorization,
            }
        })
            .then(response => {
                deferred.resolve(response.data);
            })
            .catch(deferred.reject);
        return deferred.promise;
    }
}

export default AddContentSearchService;
